# Uses of Enum
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.GroupElement.Representation

Packages that use GroupElement.Representation
Package
Description
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math

## Uses of GroupElement.Representation in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math

Subclasses with type arguments of type GroupElement.Representation in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math
Modifier and Type
Class
Description
`static enum`
`GroupElement.Representation`
Available representations for a group element.
Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math that return GroupElement.Representation
Modifier and Type
Method
Description
`GroupElement.Representation`
GroupElement.`getRepresentation()`
Gets the representation of the group element.
`static GroupElement.Representation`
GroupElement.Representation.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GroupElement.Representation[]`
GroupElement.Representation.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math with parameters of type GroupElement.Representation
Modifier and Type
Method
Description
`GroupElement`
Curve.`getZero(GroupElement.Representation repr)`
Constructors in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math with parameters of type GroupElement.Representation
Modifier
Constructor
Description
``
`GroupElement(Curve curve, GroupElement.Representation repr, FieldElement X, FieldElement Y, FieldElement Z, FieldElement T)`
Creates a group element for a curve.